use strict;
use warnings;
use Test::More tests => 15;

use_ok('LATMOS::Accounts::Bases');
use_ok('LATMOS::Accounts::Bases::Objects');
use_ok('LATMOS::Accounts::Bases::Dummy');
use_ok('LATMOS::Accounts::Bases::Dummy::User');

ok(my $dummyb = LATMOS::Accounts::Bases->new('dummy'), "Can get dummy base");
isa_ok($dummyb, 'LATMOS::Accounts::Bases');
isa_ok($dummyb, 'LATMOS::Accounts::Bases::Dummy');

ok(my $user = $dummyb->get_object('user', 'foo'), "Can get user object");
isa_ok($user, 'LATMOS::Accounts::Bases::Objects');
isa_ok($user, 'LATMOS::Accounts::Bases::Dummy::User');

ok(eq_set(
    [ $dummyb->list_canonical_fields('user') ],
    [qw(username homeDirectory) ],
), "Can get canonicals fields");
is( $dummyb->attribute('user', 'homeDirectory')->iname, "home", "can call get_fields_name");
ok(!$dummyb->is_transactionnal, 'Dummy driver is not transactionnal');

ok($dummyb->create_c_object('user', 'toto'), "Can create object");
ok(!$dummyb->create_c_object('user', '1toto'), "Can't create object with wrong id");
